package com.chaozhanggui.dao.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantImage implements Serializable {

    /**
     * 商户负责人与收银台合照
     */
    public static final String CASH_DESK_WITH_PERSON = "999";

    /**
     * 身份证正面
     */
    public static final String IDCARD_FRONT = "01";
    /**
     * 身份证反面
     */
    public static final String IDCARD_BACK = "02";
    /**
     * 营业执照
     */
    public static final String BUSINESS_LICENSE = "03";
    /**
     * 组织机构代码证
     */
    public static final String ORGANIZATION_CARD = "04";
    /**
     * 开户许可证
     */
    public static final String ACCOUNT_PERMITS = "05";
    /**
     * 门头照
     */
    public static final String SHOP_FRONT_DOOR = "06";
    /**
     * 非法人结算授权书
     */
    public static final String NON_LEG_SETTLE_AUTH = "07";
    /**
     * 法人/非法人手持结算授权书
     */
    public static final String HAND_NON_LEG_SETTLE_AUTH = "B004";
    /**
     * 其他
     */
    public static final String OTHER = "08";
    /**
     * 收银台照片
     */
    public static final String CASH_DESK_PHOTO = "08";
    /**
     * 门店内景照片
     */
    public static final String STORE_INTERIOR_PHOTO = "09";
    /**
     * 各大餐饮平台入驻
     */
    public static final String MERCHANT_PLATFORM = "10";
    /**
     * 手持身份证
     */
    public static final String HAND_IDCARD_PHOTO = "11";
    /**
     * 租赁合同
     */
    public static final String TENANCY_AGREEMENTS = "12";
    /**
     * 变更申请表
     */
    public static final String CHANGE_FORM = "13";
    /**
     * 结算人身份证正面
     */
    public static final String SETTLE_IDCARD_FRONT = "96";
    /**
     * 结算人身份证反面
     */
    public static final String SETTLE_IDCARD_BACK = "97";
    /**
     * 银行卡正面
     */
    public static final String BANK_CARD_FRONT = "98";
    /**
     * 银行卡反面
     */
    public static final String BANK_CARD_BACK = "99";

    /**
     * 商户协议
     */
    public static final String MERCHANT_PROTOCOL = "101";
    /**
     * 商户附属协议
     */
    public static final String MERCHANT_SUB_PROTOCOL = "102";
    private Integer id;

    private String merchantcode;

    private String phototype;

    private String photourl;

    private String picurl;

    private Date createdt;

    private Date updatedt;

    private String aisleswitch;
    /**
     * 01 身份证正面
     * ,02 身份证反面
     * ,03 营业执照
     * ,04 组织机构代码证
     * ,05 开户许可证
     * ,06 门头照
     * ,07 非法人结算授权书
     * ,08 其他
     * ,08 收银台照片
     * ,09 门店内景照片
     * ,10 各大餐饮平台入驻
     * ,11 手持身份证合照
     * ,12 租赁合同
     * ,98  银行卡正面
     * ,99，银行卡反面
     */
    @TableField
    private String photoType;

    @TableField(exist = false)
    private String picUrl1;
    @TableField(exist = false)
    private String picUrl2;
    @TableField(exist = false)
    private String picUrl3;
    @TableField(exist = false)
    private String picUrl6;
    @TableField(exist = false)
    private String picUrl7;
    @TableField(exist = false)
    private String picUrl8;
    @TableField(exist = false)
    private String picUrl9;
    @TableField(exist = false)
    private String picUrl999;
    @TableField(exist = false)
    private String picUrl101;
    @TableField(exist = false)
    private String picUrl102;
    @TableField(exist = false)
    private String picUrl11;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getPhototype() {
        return phototype;
    }

    public void setPhototype(String phototype) {
        this.phototype = phototype == null ? null : phototype.trim();
    }

    public String getPhotourl() {
        return photourl;
    }

    public void setPhotourl(String photourl) {
        this.photourl = photourl == null ? null : photourl.trim();
    }

    public String getPicurl() {
        return picurl;
    }

    public void setPicurl(String picurl) {
        this.picurl = picurl == null ? null : picurl.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public Date getUpdatedt() {
        return updatedt;
    }

    public void setUpdatedt(Date updatedt) {
        this.updatedt = updatedt;
    }

    public String getAisleswitch() {
        return aisleswitch;
    }

    public void setAisleswitch(String aisleswitch) {
        this.aisleswitch = aisleswitch == null ? null : aisleswitch.trim();
    }

    public String getPhotoType() {
        return photoType;
    }

    public void setPhotoType(String photoType) {
        this.photoType = photoType;
    }

    public String getPicUrl1() {
        return picUrl1;
    }

    public void setPicUrl1(String picUrl1) {
        this.picUrl1 = picUrl1;
    }

    public String getPicUrl2() {
        return picUrl2;
    }

    public void setPicUrl2(String picUrl2) {
        this.picUrl2 = picUrl2;
    }

    public String getPicUrl3() {
        return picUrl3;
    }

    public void setPicUrl3(String picUrl3) {
        this.picUrl3 = picUrl3;
    }

    public String getPicUrl6() {
        return picUrl6;
    }

    public void setPicUrl6(String picUrl6) {
        this.picUrl6 = picUrl6;
    }

    public String getPicUrl7() {
        return picUrl7;
    }

    public void setPicUrl7(String picUrl7) {
        this.picUrl7 = picUrl7;
    }

    public String getPicUrl8() {
        return picUrl8;
    }

    public void setPicUrl8(String picUrl8) {
        this.picUrl8 = picUrl8;
    }

    public String getPicUrl9() {
        return picUrl9;
    }

    public void setPicUrl9(String picUrl9) {
        this.picUrl9 = picUrl9;
    }

    public String getPicUrl999() {
        return picUrl999;
    }

    public void setPicUrl999(String picUrl999) {
        this.picUrl999 = picUrl999;
    }

    public String getPicUrl101() {
        return picUrl101;
    }

    public void setPicUrl101(String picUrl101) {
        this.picUrl101 = picUrl101;
    }

    public String getPicUrl102() {
        return picUrl102;
    }

    public void setPicUrl102(String picUrl102) {
        this.picUrl102 = picUrl102;
    }

    public String getPicUrl11() {
        return picUrl11;
    }

    public void setPicUrl11(String picUrl11) {
        this.picUrl11 = picUrl11;
    }
}